Subject: RE: bug#9794: 24.0.90; `format-time-string' no good for %Z

From: "Drew Adams" <[email-masked]>
Date: Wed, 19 Oct 2011 07:28:59 -0700

> This is an old bug #641, see there regarding the explanation why the
> current behavior is correct.

Yes, it is an old bug, with _no_ good explanation why the regression shouldn't
be fixed and plenty of reasons why it should.  Stefan even stated that he could
"live with" fixing it, though that fix "would not be for Emacs 23".

Emacs is not limited to POSIX.  %Z is Emacs.  %Z before the regression provided
useful info for everyone, including Windows users.

At a minimum, %Z should be made to fall back to %z or something, so that at
least SOME time zone info is provided to the user, instead of just an empty
string.  If you _also_ want to be able to be "POSIX-compliant" then provide a
different format indicator from %Z for that.

It is inexcusably misguided to simply remove the time zone info for Windows
users, all in the name of respecting POSIXness.  Users deserve better.  At least
give them the %z info if you don't like the natural-language time-zone info that
Windows provides: better "(-0700)" than "()".